echo off
echo "---------------------KeyWild CAD Library South_America Map---------------------"
echo "                 Number of script files for this series:            1"
echo "               Total number of segments for this series:        3,785"
echo "         Total number of 'Coast' points for this series:      390,837"
echo "       Total number of 'Boundry' points for this series:       63,386"
echo "         Total number of 'River' points for this series:      460,583"
echo "                 Total number of points for this series:      914,806"
echo "----------------------------------------------------------------------------"
rem Designate your working directoy here. The scripts folder should be be under it.
set WorkDir=%HOMEPATH%\Documents\My Drawings\KW_WorldMap

rem Designate the CAD Program Path in here
set CadProg=C:\Program Files\Bricsys\BricsCAD V13 en_US\bricscad.exe
rem set CadProg=C:\Program Files\Dassault Systemes\DraftSight\bin\DraftSight.exe
rem set CadProg=C:\Program Files (x86)\ITC\IntelliCAD 7.2 Professional\icad.exe
rem set CadProg=C:\Program Files\Corel\CorelCAD 2013\BIN\CorelCAD.exe
remSet CadProg=C:\Program Files (x86)\ProgeCAD\progeCAD 2013 Professional ENG\icad.exe
C:
cd "%WorkDir%"

copy "%WorkDir%\scripts-really-big\ablank.dwg"  "%WorkDir%\South_America_map.dwg"
Time /T > South_America_map_times.txt
Time /T
timer.exe >> South_America_map_times.txt

rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "South_America_map.scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg" /b "%WorkDir%\scripts-really-big\South_America_map.scr"

Time /T >> South_America_map_times.txt
timer.exe /s /n /nologo >> South_America_map_times.txt
rem Timer 2.2 - Copyright (C) 2005-2011 by Greg Wittmeyer - All Rights Reserved
rem http://www.gammadyne.com

rem --- end of file ---