echo off
rem Designate your working directoy here. The scripts folder should be be under it.
set WorkDir=%HOMEPATH%\Documents\My Drawings\KW_WorldMap

rem Designate the CAD Program Path in here
set CadProg=C:\Program Files\Bricsys\BricsCAD V13 en_US\bricscad.exe
rem set CadProg=C:\Program Files\Dassault Systemes\DraftSight\bin\DraftSight.exe
rem set CadProg=C:\Program Files (x86)\ITC\IntelliCAD 7.2 Professional\icad.exe
rem set CadProg=C:\Program Files\Corel\CorelCAD 2013\BIN\CorelCAD.exe
rem Set CadProg=C:\Program Files (x86)\ProgeCAD\progeCAD 2013 Professional ENG\icad.exe
C:
cd "%WorkDir%"

rem ---AFRICA--------------------------------------------------------------------
copy "%WorkDir%\scripts-really-big\ablank.dwg"  "%WorkDir%\Africa_map.dwg"
Time /T > Africa_map_times.txt
Time /T
timer.exe >> Africa_map_times.txt

rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "Africa_map.scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-really-big\Africa_map.scr"

Time /T >> Africa_map_times.txt
timer.exe /s /n /nologo >> Africa_map_times.txt

rem ---ASIA--------------------------------------------------------------------
copy "%WorkDir%\scripts-really-big\ablank.dwg"  "%WorkDir%\Asia_map.dwg"
Time /T > Asia_map_times.txt
Time /T
timer.exe >> Asia_map_times.txt

rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "Asia_map.scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-really-big\Asia_map.scr"

Time /T >> Asia_map_times.txt
timer.exe /s /n /nologo >> Asia_map_times.txt

rem ---EUROPE--------------------------------------------------------------------
copy "%WorkDir%\scripts-really-big\ablank.dwg"  "%WorkDir%\Europe_map.dwg"
Time /T > Europe_map_times.txt
Time /T
timer.exe >> Europe_map_times.txt

rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "Europe_map.scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-really-big\Europe_map.scr"

Time /T >> Europe_map_times.txt
timer.exe /s /n /nologo >> Europe_map_times.txt

rem ---NORTH AMERICA--------------------------------------------------------------
copy "%WorkDir%\scripts-really-big\ablank.dwg"  "%WorkDir%\North_America_map.dwg"
Time /T > North_America_map_times.txt
Time /T
timer.exe >> North_America_map_times.txt

rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "North_America_map.scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-really-big\North_America_map.scr"

Time /T >> North_America_map_times.txt
timer.exe /s /n /nologo >> North_America_map_times.txt

rem ---SOUTH AMERICA--------------------------------------------------------------
copy "%WorkDir%\scripts-really-big\ablank.dwg"  "%WorkDir%\South_America_map.dwg"
Time /T > South_America_map_times.txt
Time /T
timer.exe >> South_America_map_times.txt

rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "South_America_map.scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-really-big\South_America_map.scr"

Time /T >> South_America_map_times.txt
timer.exe /s /n /nologo >> South_America_map_times.txt

rem -------------------------------------------------------------------------------
rem Timer 2.2 - Copyright (C) 2005-2011 by Greg Wittmeyer - All Rights Reserved
rem http://www.gammadyne.com
rem --- end of file ---